"""tests that several fireable transitions with the same priority
make the plan fail"""


plan = get_plan(memory)
# check plan state
assert_equals(plan.state, 'done')
# check steps'state
assert_elements_state(plan, ['step1', 'step3'], 'history')
assert_elements_state(plan, ['step2', 'step4'], 'impossible')
assert_element_state(plan, 'step5', 'done')
# check transitions'state
assert_elements_state(plan, ['transition1_2', 'transition1_4', 'transition2_5',
                             'transition4_5'],
                      'impossible')
assert_elements_state(plan, ['transition1_3', 'transition3_5'], 'fired')
